﻿Imports System.Collections.Specialized

Public Class frm_AddFile
    Dim LastTextField As Control

    Private Sub Form_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Me.SetStyle(ControlStyles.OptimizedDoubleBuffer, True)
        Me.UpdateStyles()
    End Sub

    Private Sub btn_Browse_Click(sender As Object, e As EventArgs) Handles btn_Browse.Click
        Select Case ofd_Files.ShowDialog(Me)
            Case DialogResult.OK
                FileOK(ofd_Files.FileName)
                ' If File.Exists(ofd_Files.FileName) Then
                '  txtb_FilePath.Text = ofd_Files.FileName
                '   If txtb_FileName.Text = "" Then
                '    txtb_FileName.Text = ofd_Files.SafeFileName.getFileName(False)
                '   txtb_FileName.Select()
                ' End If
                '  End If
        End Select
    End Sub

    Private Sub FileOK(ByVal Path As String)
        If File.Exists(Path) Then
            txtb_FilePath.Text = Path
            If txtb_FileName.Text = "" Then
                txtb_FileName.Text = Path.getFileName(False)
                txtb_FileName.Select()
            End If
        End If
    End Sub

    Private Sub txtb_FileName_TextChanged(sender As Object, e As EventArgs) Handles txtb_FileName.TextChanged, txtb_FilePath.TextChanged
        If txtb_FileName.Text <> "" AndAlso txtb_FilePath.Text <> "" Then
            If IO.File.Exists(txtb_FilePath.Text) Then
                btn_Save.Enabled = True
            End If
        End If
    End Sub

    Private Sub btn_Save_Click(sender As Object, e As EventArgs) Handles btn_Save.Click
        Dim CopyPath As String = My.Settings.db_rootPath & "\Additional\Files\" & txtb_FilePath.Text.getFileName(True)
        Dim ExistPath As String = My.Settings.db_rootPath & "\Additional\Files\" & txtb_FilePath.Text.getFileName(False)
        If Not File.Exists(CopyPath) Then
            File.Copy(txtb_FilePath.Text, CopyPath, True)
            txtb_FilePath.Text = CopyPath
        Else
            Dim I As Integer = 2
            Do While File.Exists(ExistPath & "(" & I & ")" & txtb_FilePath.Text.getFileExtension)
                I += 1
            Loop
            File.Copy(txtb_FilePath.Text, ExistPath & "(" & I & ")" & txtb_FilePath.Text.getFileExtension, True)
            txtb_FilePath.Text = ExistPath & "(" & I & ")" & txtb_FilePath.Text.getFileExtension
        End If
        bs_Files.EndEdit()
        Me.DialogResult = DialogResult.OK
        Validate()
        Close()
    End Sub
    Private Sub btn_Cancel_Click(sender As Object, e As EventArgs) Handles btn_Cancel.Click
        Me.DialogResult = DialogResult.Cancel
        Close()
    End Sub

    'Dim LastTextField As Control
    Private Sub ctsmi_Copy_Click(sender As Object, e As EventArgs) Handles ctsmi_Copy.Click
        Try
            Dim t As TextBoxBase = CType(LastTextField, TextBoxBase)
            Clipboard.SetText(t.SelectedText)
        Catch ex As Exception
        End Try
    End Sub
    Private Sub ctsmi_Paste_Click(sender As Object, e As EventArgs) Handles ctsmi_Paste.Click
        Try
            Dim t As TextBoxBase = CType(LastTextField, TextBoxBase)
            t.SelectedText = Clipboard.GetText
        Catch ex As Exception
        End Try
    End Sub
    Private Sub cms_CopyPaste_Opening(sender As Object, e As CancelEventArgs) Handles cms_CopyPaste.Opening
        LastTextField = cms_CopyPaste.SourceControl
    End Sub

    Private Sub txtb_FileName_KeyDown(sender As Object, e As KeyEventArgs) Handles txtb_FileName.KeyDown
        Select Case e.KeyData
            Case Keys.Escape
                btn_Cancel.PerformClick()
            Case Keys.Enter
                btn_Save.PerformClick()
        End Select
    End Sub

    Private Sub txtb_FilePath_KeyDown(sender As Object, e As KeyEventArgs) Handles txtb_FilePath.KeyDown
        Select Case e.KeyData
            Case Keys.Escape
                btn_Cancel.PerformClick()
            Case Keys.Enter
                btn_Save.PerformClick()
        End Select
    End Sub



    Private Sub txtb_FileName_DragDrop(sender As Object, e As DragEventArgs) Handles txtb_FileName.DragDrop, txtb_FilePath.DragDrop
        Dim data = DirectCast(e.Data, DataObject)
        Dim files As StringCollection = data.GetFileDropList
        For Each file As String In files
            FileOK(file)
        Next
    End Sub

    Private Sub txtb_FileName_DragEnter(sender As Object, e As DragEventArgs) Handles txtb_FileName.DragEnter, txtb_FilePath.DragEnter
        Dim data = DirectCast(e.Data, DataObject)
        Dim files As StringCollection = data.GetFileDropList
        If (e.Data.GetDataPresent(DataFormats.FileDrop)) Then
            If files.Count < 2 Then
                e.Effect = DragDropEffects.Copy
            Else
                e.Effect = DragDropEffects.None
            End If
        Else
            e.Effect = DragDropEffects.None
        End If
    End Sub
End Class