﻿Public Class frm_ChoosePath

    Dim LastTextField As Control

    Private Sub Form_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        'Basic
        Me.SetStyle(ControlStyles.OptimizedDoubleBuffer, True)
        Me.UpdateStyles()
        'Basic
    End Sub

    Private Sub btn_Save_Click(sender As Object, e As EventArgs) Handles btn_Save.Click
        Me.DialogResult = DialogResult.OK
        Close()
    End Sub

    Private Sub btn_Cancel_Click(sender As Object, e As EventArgs) Handles btn_Cancel.Click
        Me.DialogResult = DialogResult.Cancel
        Close()
    End Sub

    Private Sub btn_Browse_Click(sender As Object, e As EventArgs) Handles btn_Browse.Click
        Select Case fbd_choosePath.ShowDialog(Me)
            Case DialogResult.OK
                If IO.Directory.Exists(fbd_choosePath.SelectedPath) Then
                    txtb_choosenPath.Text = fbd_choosePath.SelectedPath
                    txtb_choosenPath.Select()
                End If
        End Select
    End Sub

    Private Sub txtb_choosenPath_TextChanged(sender As Object, e As EventArgs) Handles txtb_choosenPath.TextChanged
        If txtb_choosenPath.Text <> "" Then
            If IO.Directory.Exists(txtb_choosenPath.Text) Then
                If txtb_choosenPath.Text <> My.Settings.db_rootPath Then
                    btn_Save.Enabled = True
                End If
            End If
        End If
    End Sub

    Private Sub txtb_choosenPath_KeyDown(sender As Object, e As KeyEventArgs) Handles txtb_choosenPath.KeyDown
        Select Case e.KeyData
            Case Keys.Escape
                btn_Cancel.PerformClick()
            Case Keys.Enter
                btn_Save.PerformClick()
        End Select
    End Sub

    'Dim LastTextField As Control
    Private Sub ctsmi_Copy_Click(sender As Object, e As EventArgs) Handles ctsmi_Copy.Click
        Try
            Dim t As TextBoxBase = CType(LastTextField, TextBoxBase)
            Clipboard.SetText(t.SelectedText)
        Catch ex As Exception
        End Try
    End Sub
    Private Sub ctsmi_Paste_Click(sender As Object, e As EventArgs) Handles ctsmi_Paste.Click
        Try
            Dim t As TextBoxBase = CType(LastTextField, TextBoxBase)
            t.SelectedText = Clipboard.GetText
        Catch ex As Exception
        End Try
    End Sub
    Private Sub cms_CopyPaste_Opening(sender As Object, e As CancelEventArgs) Handles cms_CopyPaste.Opening
        LastTextField = cms_CopyPaste.SourceControl
    End Sub

End Class